Ruperts News Script login.php SQL injection

rupertsnewsscript-login-sql-injection (26144) The risk level is classified as MediumMedium Risk

Description:

Ruperts News Script is vulnerable to SQL injection. If magic_quotes_gpc is disabled, a remote attacker could send specially-crafted SQL statements to the login.php script using the 'username' parameter, which could allow the attacker to bypass authentication and possibly add, modify, or delete information in the back-end database.


Consequences:

Bypass Security

Remedy:

Upgrade to the latest version of Ruperts News Script, available from the Ruperts News Web site. See References.

References:

  • Electioneering.net Web site: Ruperts News Script - Download.
  • eVuln Advisory EV0128: Ruperts News Script SQL Injection Vulnerability.
  • BID-17758: Ruperts News Script Login.PHP SQL Injection Vulnerability
  • CVE-2006-2135: SQL injection vulnerability in login.php in Ruperts News allows remote attackers to execute arbitrary SQL commands via the username parameter.
  • OSVDB ID: 25156: Ruperts News Script login.php username Parameter SQL Injection
  • SA19895: Ruperts News Script "username" SQL Injection

Platforms Affected:

  • electioneering.net Ruperts News Script 2004/10/14

Reported:

Apr 29, 2006

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page